curl --request GET \
--url https://api.dev.endaoment.org/v1/transfers/grants/fund/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dev.endaoment.org/v1/transfers/grants/fund/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dev.endaoment.org/v1/transfers/grants/fund/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"type": "grant",
"status": "approved",
"transactionHash": "0x1234567890abcdef",
"netAmount": "1000000",
"fee": "10000",
"createdAtUtc": "2024-03-20T10:30:00Z",
"requestedAmount": "1000000",
"updatedAtUtc": "2024-03-20T10:30:00Z",
"asyncStatus": "pending",
"chainId": 1,
"destinationOrg": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"ein": "530196605",
"name": "American Red Cross",
"description": "Providing disaster relief and emergency assistance",
"address": {
"line1": "123 Main St",
"city": "San Francisco",
"state": "CA",
"zip": "94105",
"country": "USA"
},
"website": "https://www.redcross.org",
"logo": "https://example.com/logo.png",
"nteeCode": "E91",
"nteeDescription": "Nursing, Convalescent (Geriatric and Nursing)",
"featuredIndex": 100,
"claimedDateUtc": "2024-03-20T10:30:00Z",
"claimedType": "DIRECT",
"claimed": true,
"contractAddress": "0x1234567890123456789012345678901234567890",
"deployments": [
{
"chainId": 1,
"contractAddress": "0x1234567890123456789012345678901234567890",
"usdcBalance": "2000000",
"isDeployed": true
}
]
},
"destinationSubproject": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"sponsorOrgId": "123e4567-e89b-12d3-a456-426614174000",
"sponsorOrgEin": "123456789",
"ein": "123456789",
"name": "Education Initiative",
"description": "Supporting educational programs in underserved communities",
"website": "https://example.org/initiative",
"logo": "https://example.org/images/logo.png",
"nteeCode": "E91",
"nteeDescription": "Nursing, Convalescent (Geriatric and Nursing)",
"featuredIndex": 100,
"lifetimeContributionsUsdc": "1000000"
},
"recommender": "John Doe",
"purpose": "Supporting educational programs",
"specialInstructions": "Funds must be used exclusively for the summer education program"
}
]List fund grants
Returns a list of all grants (both completed and pending) associated with a specific fund. The grants are sorted by creation date in descending order (newest first).
Authentication is optional:
- Public funds’ grants are visible to all users
- Private funds’ grants are only visible to authenticated users with access to the fund
The response includes both completed grants and pending async grant requests.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the fund
"123e4567-e89b-12d3-a456-426614174000"
Response
List of grants successfully retrieved
Unique identifier of the transfer
"123e4567-e89b-12d3-a456-426614174000"
Type of transfer, always "grant" for GrantTransferDto
GrantTransfer, EntityTransfer "grant"
Status of the transfer (deprecated)
PendingReview, Approved, Rejected "approved"
Transaction hash of the donation made to the target entity
"0x1234567890abcdef"
Net output amount for the transfer (total - fees) in USDC smallest currency unit (1000000 = 1 USD)
"1000000"
Fee charged on this transfer in USDC smallest currency unit (1000000 = 1 USD)
"10000"
UTC timestamp when the transfer was created
"2024-03-20T10:30:00Z"
Requested amount for the transfer in USDC smallest currency unit (1000000 = 1 USD) (only for async transfers)
"1000000"
UTC timestamp when the transfer was last updated
"2024-03-20T10:30:00Z"
Current status of the async transfer request
PendingLiquidation, Liquidated, Cancelled "pending"
Chain ID where the transfer occurred (null for async transfers)
1
Organization receiving the grant. Null if the grant is for a subproject.
Show child attributes
Show child attributes
Subproject receiving the grant. Null if the grant is for an organization.
Show child attributes
Show child attributes
Name of the person who recommended the grant
"John Doe"
Purpose of the grant
"Supporting educational programs"
Special instructions for the use of granted assets
"Funds must be used exclusively for the summer education program"
Was this page helpful?